<?php
namespace Modules\Admin\Config\CorporateCollectionProfiles;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			// insert
			->append( \App\Mvc\View\Utils\RowOptions\Option\Popup::create("insert")
				->setDescription($this->lang['index']['options']['description']['insert'])
				->setIcon('add')
				->setSection('global')
				->setAction('insert')
				->setDimensions(850, 600)
			)

			//set default
			->append(\App\Mvc\View\Utils\RowOptions\Container\OptionEmulator::create()
				// set default
				->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("setDefault")
					->setDescription($this->lang['index']['options']['description']['setDefault'])
					->setIcon("default")
					->setJsCallback("MVC.listing.installedHandlers.listing.setDefaultCurrentItem(this);")
					)

				// unset default
				->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("unsetDefault")
					->setDescription($this->lang['index']['options']['description']['unsetDefault'])
					->setIcon("defaultSelected")
					->setJsCallback("MVC.listing.installedHandlers.listing.unsetDefaultCurrentItem(this);")
					)
				)

			// update
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("update")
				->setDescription($this->lang['index']['options']['description']['update'])
				->setIcon('edit')
				->setAction('update')
				->setDimensions(850, 600)
				->setKeyForCurrentRow('id')
			)

			// delete
			->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("delete")
				->setDescription($this->lang['index']['options']['description']['delete'])
				->setIcon("delete")
				->setJsCallback("MVC.listing.installedHandlers.listing.deleteCurrentItemWithConfirmation(this);")
			)

			// reset
			->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("reset")
				->setDescription($this->lang['index']['options']['description']['reset'])
				->setIcon("reset")
				->setSection('global')
				->setJsCallback("MVC.listing.installedHandlers.listing.resetWithConfirmation(this);")
			)

			// save
			->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("save")
				->setDescription($this->lang['index']['options']['description']['save'])
				->setIcon("save")
				->setSection('global')
				->setJsCallback("MVC.listing.installedHandlers.listing.saveWithConfirmation(this);")
			)
		;
	}

}
